using System;
using System.Collections.Generic;
using System.Text;

namespace SpiDotNet
{
    enum GpioLevel { LOW, HIGH };
    enum GpioConfiguration { OUTPUT, INPUT };
    interface IGpioInterface
    {
        /**
         * Set the given gpioNumber as output, the voltage level is determined by the 
         * 2nd parameter
         */
        bool SetAsOutput(uint gpioNumber, GpioLevel level);

        bool SetAsInput(uint gpioNumber);
		
		/**
		//	Gets the current configuration for the given GPIO
		*/

        GpioConfiguration GetConfiguration(uint gpioNumber);

		/**
		// Get current level of an output gpio
		*/
        GpioLevel GetGpioLevel(uint gpioNumber);
        
    }
}
